# Interface CSSRuleList

public interface CSSRuleList
The `CSSRuleList` interface provides the abstraction of an ordered collection of CSS rules.

The items in the `CSSRuleList` are accessible via an integral index, starting from 0.

See also the Document Object Model (DOM) Level 2 Style Specification.

Since:
  1.4, DOM Level 2

## Method Summary

Modifier and Type
Method
Description
`int`
`getLength()`
The number of `CSSRules` in the list.
`CSSRule`
`item(int index)`
Used to retrieve a CSS rule by ordinal index.

## Method Details

### getLength

int getLength()
The number of `CSSRules` in the list. The range of valid child rule indices is `0` to `length-1` inclusive.

### item

CSSRule item(int index)
Used to retrieve a CSS rule by ordinal index. The order in this collection represents the order of the rules in the CSS style sheet. If index is greater than or equal to the number of rules in the list, this returns `null`.

Parameters:
  `index` - Index into the collection
Returns:
  The style rule at the `index` position in the `CSSRuleList`, or `null` if that is not a valid index.